---
- name: Ensure download directory exists
  ansible.builtin.file:
    path: /media/iso
    state: directory
    mode: "0755"

- name: Download ISO images
  ansible.builtin.get_url:
    url: "{{ item.url }}"
    dest: "/media/iso/{{ item.url | basename }}"
    checksum: "{{ item.checksum }}"
  loop: "{{ cobbler_imports }}"

- name: Ensure mount directories exist
  ansible.builtin.file:
    path: "/mnt/{{ item.name }}"
    state: directory
    mode: "0755"
  loop: "{{ cobbler_imports }}"

- name: Mount images
  ansible.builtin.mount:
    src: "/media/iso/{{ item.url | basename }}"
    path: "/mnt/{{ item.name }}"
    fstype: iso9660
    opts: ro,loop
    state: mounted
  loop: "{{ cobbler_imports }}"

- name: Import ISOs to cobbler
  ansible.builtin.command:
    argv:
      - /usr/bin/cobbler
      - import
      - --name
      - "{{ item.name }}"
      - --arch
      - "{{ item.arch }}"
      - --path
      - "/mnt/{{ item.name }}"
  loop: "{{ cobbler_imports }}"
    
- name: Gather list of cobbler imports
  ansible.builtin.command: /usr/bin/cobbler distro list
  register: cobbler_distro_list_reg

- name: Do cobbler sync
  ansible.builtin.command: /usr/bin/cobbler sync
  register: cobbler_sync_reg

- name: Unmount images
  ansible.builtin.mount:
    path: "/mnt/{{ item.name }}"
    state: unmounted
  loop: "{{ cobbler_imports }}"

